From a2fdbbcd6f58fb27a2f7a600928c3025868798ad Mon Sep 17 00:00:00 2001
From: Toshikazu Nakayama <nakayama.ts@ncos.nec.co.jp>
Date: Fri, 5 Nov 2010 15:02:20 +0900
Subject: [PATCH 1/4] Add percpu member.

Add module percpu in load_module and offset_table struct.
This is used for KMOD_V2.

Signed-off-by: Toshikazu Nakayama <nakayama.ts@ncos.nec.co.jp>
---
 defs.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/defs.h b/defs.h
index dcece4a..3b279ae 100755
--- a/defs.h
+++ b/defs.h
@@ -1090,6 +1090,7 @@ struct offset_table {                    /* stash of commonly-used offsets */
 	long module_num_symtab;
 	long module_symtab;
 	long module_strtab;
+	long module_percpu;
 
 	long module_kallsyms_start;
 	long kallsyms_header_sections;
@@ -2063,6 +2064,7 @@ struct load_module {
 	ulong mod_init_size;
 	struct syment *mod_init_symtable;
 	struct syment *mod_init_symend;
+	ulong mod_percpu;
 };
 
 #define IN_MODULE(A,L) \
-- 
1.7.3.2.161.g3089c

